=== debian/changelog ===
ktouch (4:20.12.0-2) unstable; urgency=medium

  * Fix runtime dependencies:
    - Should be on bin package not on data package.
    - Add min versions to all Qt and KF5 dependencies, according to upstream
      build system.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 23:00:36 +0100

ktouch (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to upstream build system:
    - remove libkf5declarative-dev
  * Bump Standards-Version to 4.5.1 (no change needed).
  * Refresh upstream metadata:
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Adjust runtime dependencies on QML modules:
    - drop unused qml-module-qtquick-controls
    - add missing qml-module-qtquick-window2
  * Update project homepage.
  * Add salsa-ci.yml GitLab CI/CD pipeline.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 22:06:30 +0100
