=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               libkf5completion-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5itemviews-dev (>= 5.83.0~),
               libkf5kcmutils-dev (>= 5.83.0~),
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.15.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.
