=== debian/changelog ===
ktouch (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:00 +0100

ktouch (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove incorrect lintian override.
  * Add missing ${misc:Depends} to Depends for ktouch-data.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Remove unused debian/not-installed file.
  * Remove unused debian/ktouch-data.qml-ignore file.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Simplify debian/ktouch-data.install.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:27:58 +0100

ktouch (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:35 +0100
