=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
@@ -25,11 +25,10 @@
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkg-config,
-               pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/ktouch
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
@@ -62,6 +61,7 @@
 
 Package: ktouch-data
 Architecture: all
+Depends: ${misc:Depends},
 Description: data files for ktouch
  This package contains the architecture-independent data files for ktouch.
  .
